/*
** $Id: misc.c,v 1.3 2003/01/10 00:49:24 pief Exp $
**
** MetalServe common stuff
** Copyright (c) 2002-2003 by Pieter Hollants <contact@metalserve.org>
**
** This program is licensed under the GNU General Public License, version 2,
** as published by the Free Software Foundation and available in the file
** COPYING and the Internet location http://www.gnu.org/licenses/gpl.html.
**
** This program is distributed in the hope that it will be useful, but
** WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
** or FITNESS FOR A PARTICULAR PURPOSE.
**
** Miscellaneous functions
**
** $Log: misc.c,v $
** Revision 1.3  2003/01/10 00:49:24  pief
** Extended copyright note to the new year
**
** Revision 1.2  2002/10/08 00:22:48  pief
** Added missing includes to make the common stuff compile on FreeBSD
**
** Revision 1.1  2002/09/30 21:08:49  pief
** Added new common file for miscellaenous routines
**
**
*/

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <ctype.h>

#include <time.h>

#include "base.h"
#include "misc.h"

/*
** get_mins_and_secs(val, &minutes, &seconds)
**
** Breaks down a time_t value (seconds) into minutes and seconds.
*/
void get_mins_and_secs(time_t val, int *minutes, int *seconds)
{
	*minutes = val / 60;
	*seconds = val - (*minutes * 60);
}
