/*
** $Id: base.h,v 1.5 2003/01/10 00:53:27 pief Exp $
**
** MetalServe common stuff
** Copyright (c) 2002-2003 by Pieter Hollants <contact@metalserve.org>
**
** This program is licensed under the GNU General Public License, version 2,
** as published by the Free Software Foundation and available in the file
** COPYING and the Internet location http://www.gnu.org/licenses/gpl.html.
**
** This program is distributed in the hope that it will be useful, but
** WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
** or FITNESS FOR A PARTICULAR PURPOSE.
**
** Miscellaneous basic definitions and declarations
**
** $Log: base.h,v $
** Revision 1.5  2003/01/10 00:53:27  pief
** Extended copyright note to the new year
** Renamed DEFAULT_CFGFILE_NAME to DEF_CFGFILE_NAME for shorter code lines
**
** Revision 1.4  2002/10/25 16:00:49  pief
** Replaced names of per-file #define's to avoid possible namespace clashes
** Removed #define's for Title, Version and Revision since these are now
** specified in the top-level configure.in file
**
** Revision 1.3  2002/09/30 21:07:12  pief
** Fixed defined symbol inside header file
** Added #undefs for the boolean definition to avoid conflicts with
** definitions in other header files such as curses.h/term.h
**
** Revision 1.2  2002/09/24 22:05:13  pief
** For some reason I checked in ancient versions, so here are the current
** ones
**
*/

#ifndef _METALSERVE_BASE_H
#define _METALSERVE_BASE_H

/*
** Define a BOOLean type (Amiga rulez!)
*/
#undef BOOL
#undef TRUE
#undef FALSE
typedef enum _bool { FALSE, TRUE } BOOL;

/*
** Default locations for MetalServe configuration file
*/
#define DEF_CFGFILE_NAME     "/etc/metalserve.conf"
#define HOMEDIR_CFGFILE_NAME ".metalserve.conf"

#endif
